/* ■■■■■■■■■■■■■ ARMOSY-2 Example ■■■■■■■■■■■■

Iniciale UTFT 2.4" 240x320px ILI9325D + TEXT + COLOR + PICTURE 

Hardware: ARMOSY-2
Version HW: 2.21
Create: 22.04.2016
*/

// ■ LIBRARY

#include <UTFT.h> // Original Library for UTFT http://www.rinkydinkelectronics.com/library.php?id=51

// ■ DECLARATIONS

UTFT  myGLCD(ITDB24,38,39,40,41); // RS, WR, CS, REST

extern unsigned short HWPRO_36px[0x510];  // Picture
extern uint8_t SmallFont[]; // Type Font Small
extern uint8_t BigFont[]; // Type Font Big


// ■■■■■■■■■■■■■ SETUP ■■■■■■■■■■■■

void setup()
{

// ■ UTFT

  myGLCD.InitLCD(); // Initialization LCD              
  myGLCD.clrScr(); // Clear Screen
  myGLCD.fillScr(VGA_WHITE);  // VGA Background Transparency
  myGLCD.drawBitmap (10, 10, 36, 36, HWPRO_36px); // Picture, (x,y, width, height)
  myGLCD.setColor(0, 0, 0); // Fond Black Colors (R, G, B) BLACK
  myGLCD.setBackColor(255, 255, 255); // White Background
  myGLCD.setFont(BigFont); // Settings Size Fonts
  myGLCD.print("UTFT", 80, 100); // Text, position x, position y 
  myGLCD.setColor(255, 0, 0); // Fond Black Colors (R, G, B) RED
  myGLCD.print("TEXT", 150, 100); // Text, position x, position y 
  myGLCD.setColor(0, 0, 0); // Fond Black Colors (R, G, B) BLACK
  myGLCD.print("ARMOSY2-SW0001", 60, 10);             
  myGLCD.print("www.hwpro.cz", CENTER, 220); 

}


// ■■■■■■■■■■■■■ MAIN ■■■■■■■■■■■■

void loop()

{
}


